zabbix_export:
  version: '8.0'
  host_groups:
    - uuid: 6f6799aa69e844b4b3918f779f2abf08
      name: 'Zabbix servers'
  hosts:
    - host: 'Zabbix server'
      name: 'Zabbix server'
      groups:
        - name: 'Zabbix servers'
      interfaces:
        - ip: 192.168.56.101
          interface_ref: if1
      httptests:
        - name: JSONPATH_MACRO_ON_SCENARIO_LEVEL_CRASH
          attempts: '2'
          variables:
            - name: '{NS}'
              value: 'jsonpath:$.ns'
          steps:
            - name: 'Get NS'
              url: 'http://192.168.56.101/example.json'
              follow_redirects: 'NO'
              required: ns
              status_codes: '200'
            - name: 'test output will be error'
              url: 'http://192.168.56.101/?my_macro={NS}'
              follow_redirects: 'NO'
              status_codes: '200'
        - name: JSONPATH_MACRO_ON_STEP_LEVEL
          attempts: '2'
          status: DISABLED
          steps:
            - name: 'Get NS'
              url: 'http://192.168.56.101/example.json'
              variables:
                - name: '{NS}'
                  value: 'jsonpath:$.ns'
              follow_redirects: 'NO'
              required: ns
              status_codes: '200'
            - name: 'test output will be error'
              url: 'http://192.168.56.101/?my_macro={NS}'
              follow_redirects: 'NO'
              status_codes: '200'
        - name: REGEX_MACRO_ON_SCENARIO_LEVEL
          attempts: '2'
          variables:
            - name: '{NS}'
              value: 'regex:"ns"\s*:\s*"?([^",}\s]+)"?'
          status: DISABLED
          steps:
            - name: 'Get NS'
              url: 'http://192.168.56.101/example.json'
              follow_redirects: 'NO'
              required: ns
              status_codes: '200'
            - name: 'test output will be error'
              url: 'http://192.168.56.101/?my_macro={NS}'
              follow_redirects: 'NO'
              status_codes: '200'
        - name: XMLPATH_MACRO_ON_SCENARIO_LEVEL_CRASH
          attempts: '2'
          variables:
            - name: '{XML_VAL}'
              value: 'xmlxpath://document/item/value/text()'
          status: DISABLED
          steps:
            - name: 'Get NS'
              url: 'http://192.168.56.101/example.xml'
              follow_redirects: 'NO'
              required: ns
              status_codes: '200'
            - name: 'test output will be error'
              url: 'http://192.168.56.101/?my_macro={XML_VAL}'
              follow_redirects: 'NO'
              status_codes: '200'
        - name: XMLPATH_MACRO_ON_STEP_LEVEL
          attempts: '2'
          status: DISABLED
          steps:
            - name: 'Get NS'
              url: 'http://192.168.56.101/example.xml'
              variables:
                - name: '{XML_VAL}'
                  value: 'xmlxpath://document/item/value/text()'
              follow_redirects: 'NO'
              required: ns
              status_codes: '200'
            - name: 'test output will be error'
              url: 'http://192.168.56.101/?my_macro={XML_VAL}'
              follow_redirects: 'NO'
              status_codes: '200'
